%% Funktion zum Auslesen der Realtime-Schnittstelle
% Praktikum Produktionstechnik
% WS 2021/2022
% Gruppe: Haris Adrovic, Maik Spinnrath, Franziska Troja
% Datum: 02.12.2021
% Letzte Änderung: 02.12.2021


function realtime = realtime_schnittstelle(Robot_IP, Port_NR)
    Socket_conn = tcpip(Robot_IP,Port_NR);
    Socket_conn.InputBufferSize = 1060; %experimentell herausgefunden, dass Schnittstelle 1060 bytes schreibt


    % Auslesen der Schnittstelle
    fclose(Socket_conn);                %ggf. bestehende Verbindung trennen
    fopen(Socket_conn);                 %Verbindung zur Schnittstelle öffnen
    flushinput(Socket_conn);
    realtime = fread(Socket_conn);
    fclose(Socket_conn);                %Verbindung zur Schnittstelle schließen
end